Subject: 421 is Cacheable? Really?

From: Mike Bishop <[email-masked]>
Date: Mon, 18 Dec 2017 18:58:17 +0000

I was probably part of this discussion way back when, but this line in RFC7540 just doesn't parse for me this morning:

A 421 response is cacheable by default, i.e., unless otherwise indicated by the method definition or explicit cache controls (see Section 4.2.2 of [RFC7234]<https://tools.ietf.org/html/rfc7234#section-4.2.2>).

Given that the cache is almost universally keyed by URL and not by server IP, caching a 421 anywhere in the network seems like the height of idiocy.  The client SHOULD remember not to request that origin on that connection again, which could be seen as a form of caching, but it's not cacheable in the traditional HTTP sense.

Is this an erratum, or is there some sensible reason for this that totally escapes me?